Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QToolTip

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QToolTip

All Implemented Interfaces:
  QtJambiInterface

    public final class QToolTip

extends QtJambiObject

The `QToolTip` class provides tool tips (balloon help) for any widget. The tip is a short piece of text reminding the user of the widget's function. It is drawn immediately below the given position in a distinctive black-on-yellow color combination. The tip can be any `rich text` formatted string.

Rich text displayed in a tool tip is implicitly word-wrapped unless specified differently with `<p style='white-space:pre'>`.

The simplest and most common way to set a widget's tool tip is by calling its `QWidget::setToolTip()` function.

It is also possible to show different tool tips for different regions of a widget, by using a `QHelpEvent` of type `QEvent::ToolTip` . Intercept the help event in your widget's `event()` function and call `QToolTip::showText()` with the text you want to display. The Tooltips example illustrates this technique.

Note that, if you want to show tooltips in an item view, the model/view architecture provides functionality to set an item's tool tip; e.g., the `QTableWidgetItem::setToolTip()` function. However, if you want to provide custom tool tips in an item view, you must intercept the help event in the `QAbstractItemView::viewportEvent()` function and handle it yourself.

The default tool tip color and font can be customized with `setPalette()` and `setFont()`. When a tooltip is currently on display, `isVisible()` returns true and `text()` the currently visible text.

Note: Tool tips use the inactive color group of `QPalette`, because tool tips are not active windows.

See also:
  `QWidget::toolTip`, `QAction::toolTip`, and Tool Tips Example.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Method Summary
`static QFont` | `font()` Returns the font used to render tooltips.
`static void` | `hideText()` Hides the tool tip.
`static boolean` | `isVisible()` Returns true if this tooltip is currently shown.
`static QPalette` | `palette()` Returns the palette used to render tooltips.
`static void` | `setFont(QFont arg__1)` Sets the `font` used to render tooltips.
`static void` | `setPalette(QPalette arg__1)` Sets the `palette` used to render tooltips.
`static void` | `showText(QPoint pos, java.lang.String text)` This is analogous to calling QToolTip.:showText(`pos`, `text`, `w`, QRect())
`static void` | `showText(QPoint pos, java.lang.String text, QWidget w)` This is analogous to calling QToolTip.:showText(`pos`, `text`, `w`, QRect())
`static void` | `showText(QPoint pos, java.lang.String text, QWidget w, QRect rect)` Shows `text` as a tool tip, with the global position `pos` as the point of interest.
`static java.lang.String` | `text()` Returns the tooltip text, if a tooltip is visible, or an empty string if a tooltip is not visible.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### font

    public static QFont font()

  Returns the font used to render tooltips.

See also:
  `setFont()`.

### hideText

    public static void hideText()

  Hides the tool tip. This is the same as calling `showText()` with an empty string.

See also:
  `showText()`.

### isVisible

    public static boolean isVisible()

  Returns true if this tooltip is currently shown.

See also:
  `showText()`.

### palette

    public static QPalette palette()

  Returns the palette used to render tooltips.

  Note: Tool tips use the inactive color group of `QPalette`, because tool tips are not active windows.

See also:
  `setPalette()`.

### setFont

    public static void setFont(QFont arg__1)

  Sets the `font` used to render tooltips.

See also:
  `font()`.

### setPalette

    public static void setPalette(QPalette arg__1)

  Sets the `palette` used to render tooltips.

  Note: Tool tips use the inactive color group of `QPalette`, because tool tips are not active windows.

See also:
  `palette()`.

### showText

    public static void showText(QPoint pos,
                                java.lang.String text)

  This is analogous to calling QToolTip.:showText(`pos`, `text`, `w`, QRect())

### showText

    public static void showText(QPoint pos,
                                java.lang.String text,
                                QWidget w)

  This is analogous to calling QToolTip.:showText(`pos`, `text`, `w`, QRect())

### showText

    public static void showText(QPoint pos,
                                java.lang.String text,
                                QWidget w,
                                QRect rect)

  Shows `text` as a tool tip, with the global position `pos` as the point of interest. The tool tip will be shown with a platform specific offset from this point of interest.

  If you specify a non-empty rect the tip will be hidden as soon as you move your cursor out of this area.

  The `rect` is in the coordinates of the widget you specify with `w`. If the `rect` is not empty you must specify a widget. Otherwise this argument can be 0 but it is used to determine the appropriate screen on multi-head systems.

  If `text` is empty the tool tip is hidden. If the text is the same as the currently shown tooltip, the tip will not move. You can force moving by first hiding the tip with an empty text, and then showing the new tip at the new position.

### text

    public static java.lang.String text()

  Returns the tooltip text, if a tooltip is visible, or an empty string if a tooltip is not visible.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD